import { Repository } from "typeorm";
import { Banner } from "../../common/banner/banner.entity";
export declare class BannerService {
    private readonly bannerRepository;
    constructor(bannerRepository: Repository<Banner>);
    findActive(type: any, lang?: string): Promise<any[]>;
    findOfferBanner(): Promise<Banner[]>;
    findOne(id: number): Promise<Banner>;
}
